#ifndef BITVEC_H
#define BITVEC_H

#include <mempool.h>

class RWvostream;
class RWvistream;

#if defined(MemoryPool)
    /**
     * MemoryPool_Defined_1
     */
    struct MemoryPool_Defined_1
    {
    };
#endif

/**
 * BitVec
 */
class BitVec MemoryPool
{

public:

    /**
     * Returns 0.
     */
    size_t firstFalse() const;

    /**
     * Returns 0
     */
    size_t firstTrue() const;
};

/**
 * @relates BitVec
 *
 * Restore from stream.
 */
inline RWvistream& operator>>(RWvistream& str, BitVec& vec)
{
    return str;
}

/**
 * @relates BitVec
 *
 * Save to stream.
 */
inline RWvostream& operator<<(RWvostream& str, const BitVec& vec)
{
    return str;
}

inline size_t BitVec::firstFalse() const
{
    return 0;
}

inline size_t BitVec::firstTrue() const
{
    return 0;
}

#endif
